Package org.eclipse.birt.report.engine.api

# Class HTMLRenderContext

java.lang.Object
org.eclipse.birt.report.engine.api.HTMLRenderContext

@Deprecated public class HTMLRenderContext extends Object
Deprecated.
set the property to RenderOption directly.
Defines the context for rendering report in HTML emitter. Objects stored in the context object is mainly used for image and action handling, but can be used for other purposes too.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`baseImageURL`
Deprecated.
base URL used for image
`protected String`
`baseURL`
Deprecated.
base URL used for action handler
`protected String`
`imageDirectory`
Deprecated.
directory to store image
`protected IRenderOption`
`renderOption`
Deprecated.
HTML render option
`protected String`
`supportedImageFormats`
Deprecated.
the image formats supported by the browser

## Constructor Summary

Constructors
Constructor
Description
`HTMLRenderContext()`
Deprecated.
dummy constrictor

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseImageURL()`
Deprecated.
returns the base url for creating image URL
`String`
`getBaseURL()`
Deprecated.
Returns the base URL for creating an Action URL
`String`
`getImageDirectory()`
Deprecated.
returns the image directory that engine stores images and charts into
`IRenderOption`
`getRenderOption()`
Deprecated.
`String`
`getSupportedImageFormats()`
Deprecated.
`void`
`setBaseImageURL(String baseImageURL)`
Deprecated.
sets the base image URL for image handling
`void`
`setBaseURL(String baseURL)`
Deprecated.
sets the base url for action handling
`void`
`setImageDirectory(String imageDirectory)`
Deprecated.
sets the image directory that engine stores images and charts into
`void`
`setRenderOption(IRenderOption option)`
Deprecated.
`void`
`SetRenderOption(IRenderOption option)`
Deprecated.
it is deprecated and use the setRenderOption instead.
`void`
`setSupportedImageFormats(String formats)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### baseURL

protected String baseURL
Deprecated.
base URL used for action handler

### baseImageURL

protected String baseImageURL
Deprecated.
base URL used for image

### supportedImageFormats

protected String supportedImageFormats
Deprecated.
the image formats supported by the browser

### imageDirectory

protected String imageDirectory
Deprecated.
directory to store image

### renderOption

protected IRenderOption renderOption
Deprecated.
HTML render option

## Constructor Details

### HTMLRenderContext

public HTMLRenderContext()
Deprecated.
dummy constrictor

## Method Details

### getBaseURL

public String getBaseURL()
Deprecated.
Returns the base URL for creating an Action URL

Returns:
  the baseURL.

### setBaseURL

public void setBaseURL(String baseURL)
Deprecated.
sets the base url for action handling

Parameters:
  `baseURL` - sets the base URL used for action handling

### getImageDirectory

public String getImageDirectory()
Deprecated.
returns the image directory that engine stores images and charts into

Returns:
  the image directory.

### setImageDirectory

public void setImageDirectory(String imageDirectory)
Deprecated.
sets the image directory that engine stores images and charts into

Parameters:
  `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

public String getBaseImageURL()
Deprecated.
returns the base url for creating image URL

Returns:
  Rreturn the abse image url

### setBaseImageURL

public void setBaseImageURL(String baseImageURL)
Deprecated.
sets the base image URL for image handling

Parameters:
  `baseImageURL` - the base image URL

### setSupportedImageFormats

public void setSupportedImageFormats(String formats)
Deprecated.

Parameters:
  `formats` - - the image format supported by the browser

### getSupportedImageFormats

public String getSupportedImageFormats()
Deprecated.

Returns:
  the image format supported by the browser

### setRenderOption

public void setRenderOption(IRenderOption option)
Deprecated.

### SetRenderOption

@Deprecated public void SetRenderOption(IRenderOption option)
Deprecated.
it is deprecated and use the setRenderOption instead.

### getRenderOption

public IRenderOption getRenderOption()
Deprecated.

Returns:
  render options